MyGUI: MyGUI::ToolTipManager Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
MyGUI::ToolTipManager Class Reference

`#include <MyGUI_ToolTipManager.h>`

Inheritance diagram for MyGUI::ToolTipManager:
[legend]

## Public Member Functions
| ToolTipManager ()
void | initialise ()
void | shutdown ()
void | setDelayVisible (float _value)
float | getDelayVisible () const
void | _unlinkWidget (Widget *_widget) override
Public Member Functions inherited from MyGUI::IUnlinkWidget
virtual | ~IUnlinkWidget ()

## Static Public Member Functions
static ToolTipManager & | getInstance ()
static ToolTipManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 17 of file MyGUI_ToolTipManager.h.

## Constructor & Destructor Documentation

## ◆ ToolTipManager()

MyGUI::ToolTipManager::ToolTipManager | ( |  | ) |

Definition at line 18 of file MyGUI_ToolTipManager.cpp.

## Member Function Documentation

## ◆ _unlinkWidget()

void MyGUI::ToolTipManager::_unlinkWidget | ( | Widget * | _widget | ) |
| overridevirtual

Implements MyGUI::IUnlinkWidget.

Definition at line 136 of file MyGUI_ToolTipManager.cpp.

## ◆ getClassTypeName()

static const char * MyGUI::ToolTipManager::getClassTypeName | ( |  | ) |
| static

## ◆ getDelayVisible()

float MyGUI::ToolTipManager::getDelayVisible | ( |  | ) | const

Definition at line 198 of file MyGUI_ToolTipManager.cpp.

## ◆ getInstance()

static ToolTipManager & MyGUI::ToolTipManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

static ToolTipManager * MyGUI::ToolTipManager::getInstancePtr | ( |  | ) |
| static

## ◆ initialise()

void MyGUI::ToolTipManager::initialise | ( |  | ) |

Definition at line 30 of file MyGUI_ToolTipManager.cpp.

## ◆ setDelayVisible()

void MyGUI::ToolTipManager::setDelayVisible | ( | float | _value | ) |

Definition at line 193 of file MyGUI_ToolTipManager.cpp.

## ◆ shutdown()

void MyGUI::ToolTipManager::shutdown | ( |  | ) |

Definition at line 49 of file MyGUI_ToolTipManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ToolTipManager.h
- MyGUI_ToolTipManager.cpp